Mapper::AnythingDataType Class Reference

describes a data type that accepts any value; stores "string.max_size_chars" as a type attribute for external enforcement More...

Inheritance diagram for Mapper::AnythingDataType:
[legend]

## Public Member Functions

auto | acceptsValue (auto value)
| returns the value if the value can be assigned to the type More...
| constructor (*hash< auto > options)
| creates the object
hash< string, bool > | getAcceptTypeHash ()
| returns a hash of base types accepted by this type
*AbstractDataProviderType | getElementType ()
| returns the subtype (for lists or hashes) if there is only one
*hash< string, AbstractDataField > | getFields ()
| returns the fields of the data structure; if any
string | getName ()
| returns the type name
hash< string, bool > | getReturnTypeHash ()
| returns a hash of base types returned by this type
*hash< string, hash< DataProviderTypeOptionInfo > > | getSupportedOptions ()
| returns supported options
*Type | getValueType ()
| returns the base type for the type, if any
bool | isAssignableFrom (AbstractDataProviderType t)
| returns True if this type can be assigned from values of the argument type
bool | isAssignableFrom (Type t)
| returns True if this type can be assigned from values of the argument type

## Protected Attributes

const | SupportedOptions
| supports a max_size_chars option for strings; to be enforced externally

## Detailed Description

describes a data type that accepts any value; stores "string.max_size_chars" as a type attribute for external enforcement

## Member Function Documentation

## acceptsValue()

auto Mapper::AnythingDataType::acceptsValue | ( | auto | value | ) |

returns the value if the value can be assigned to the type

Parameters

  value | the value to assign to the type

Returns
  the value to be assigned; can be converted by the type

Exceptions

  RUNTIME-TYPE-ERROR | value cannot be assigned to the type